> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/ierrorreporter.md).

# Introduction

The IErrorReporter interface is used to report errors to the user. Implementations of this interface can be registered to Glue through a Plugin's AddErrorReporter method. An IErrorReporter is responsible for returning an array of ErrorViewModels. Typically a plugin will create an IErrorReporter for errors that pertain to the particular plugin. For example, the Gum plugin has an ErrorReporter which reports errors specific to Gum files. The only responsibility for an IErrorReporter is to return an array of ErrorViewModels. Each ErrorViewModel manages itself once it is created. Specifically, ErrorViewModels can respond to events such as a file changed, and can return whether they are fixed. Therefore, it is common for the same logic to be used in creating ErrorViewModel instances as well as checking if an existing ErrorViewModel is fixed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/ierrorreporter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
